#ifndef _SHOEHORN_LOH_H
#define _SHOEHORN_LOG_H

extern int (*message_func)(const char *format, ...);
extern void (*messagebox_func)(char *str);

#define message(arg)                  \
	if(message_func != NULL)      \
		message_func(arg);    \

#define messagebox(arg)               \
	if(messagebox_func != NULL)   \
		messagebox_func(arg); \

void register_message_func(void *func);
void register_messagebox_func(void *func);
void deregister_message_func(void);
void deregister_messagebox_func(void);

#endif
